# $Revision: 1.44 $, $Date: 2008-01-03 13:21:54 $
#
# Conditional build:
%bcond_with	tests	# perform "make test"
			# tests are network-dependent and interactive
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	WWW
%define		pnam	Babelfish
Summary:	WWW::Babelfish - Perl extension for translation via Babelfish or Google
Summary(pl.UTF-8):	WWW::Babelfish - rozszerzenie Perla do tłumaczenia z użyciem Babelfish lub Google
Name:		perl-WWW-Babelfish
Version:	0.16
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/WWW/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	21f881470fd159c6732b4da866648452
URL:		http://search.cpan.org/dist/WWW-Babelfish/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-HTML-Parser
BuildRequires:	perl-IO-String
BuildRequires:	perl-libwww
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
WWW::Babelfish - Perl module for translation via Babelfish or Google.

%description -l pl.UTF-8
WWW::Babelfish - moduł Perla do tłumaczenia z wykorzystaniem serwisu
Babelfish lub Google.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL %{!?with_tests: </dev/null } \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/WWW/Babelfish.pm
# empty autosplit.ix
#%dir %{perl_vendorlib}/auto/WWW/Babelfish
#%%{perl_vendorlib}/auto/WWW/Babelfish/autosplit.ix
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-WWW-Babelfish.spec,v $
Revision 1.44  2008-01-03 13:21:54  qboosh
- generic URL
- informative summaries

Revision 1.43  2007-12-31 00:22:41  zbyniu
- up to 0.16

Revision 1.42  2007-02-13 08:06:38  glen
- tabs in preamble

Revision 1.41  2007/02/12 01:06:23  baggins
- converted to UTF-8

Revision 1.40  2006/10/21 08:11:45  ankry
- ver. 0.15

Revision 1.39  2004/11/03 22:30:53  paladine
- formatting

Revision 1.38  2004/05/06 18:01:32  ankry
- fixed perl-devel BR

Revision 1.37  2004/05/04 13:36:34  ankry
- license fix, cosmetics

Revision 1.36  2004/02/18 16:27:03  qboosh
- s/no/nb/ in Summary langs

Revision 1.35  2003/11/23 13:53:12  migo
- up to 0.12, new bcond style
- don't ask stupid question when not running test

Revision 1.34  2003/09/09 10:24:54  ankry
- spaces -> tab

Revision 1.33  2003/08/18 08:09:26  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.32  2003/05/28 13:01:13  malekith
- massive attack: source-md5

Revision 1.31  2003/05/25 06:25:09  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.30  2003/03/01 22:09:56  radek
- should be ready for perl-5.8.0; release++

Revision 1.29  2003/02/28 10:08:35  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.28  2003/02/25 00:42:36  radek
- use the __perl macro

Revision 1.27  2003/02/18 15:39:10  ankry
- massive attack: change CPAN URLs

Revision 1.26  2002/11/25 15:10:13  marcus
- use new %%doc

Revision 1.25  2002/11/21 16:52:01  mis
- autoupdated to 0.11

Revision 1.24  2002/10/14 20:18:14  ankry
- disabled tests

Revision 1.23  2002/09/19 12:17:42  ankry
- added tests on bcond
- removed empty autosplit.ix
- translations, cleaning
- release 5

Revision 1.22  2002/07/10 09:02:39  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.21  2002/05/11 14:28:14  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.20  2002/02/25 10:35:31  depesz
cleanup; revision++

Revision 1.19  2002/02/22 23:29:34  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.18  2002/02/13 14:21:32  depesz
automatic: Source location unified, Relase Up

Revision 1.17  2002/02/10 15:38:42  depesz
adapterized

Revision 1.16  2002/01/18 02:14:34  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.15  2001/11/28 15:20:26  mis
- buildarch noarch; release++

Revision 1.14  2001/11/10 18:33:20  kloczek
- updated to 0.10.

Revision 1.13  2001/04/17 12:18:20  baggins
- release 3
- rebuild with perl 5.6.1

Revision 1.12  2001/04/14 18:00:11  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.11  2001/01/26 02:30:21  kloczek
- release 2: rebuild against perl 5.6 and use rpm automation.

Revision 1.10  2000/08/16 22:31:33  kloczek
- updated to 0.09.

Revision 1.9  2000/06/09 07:55:00  kloczek
- more %%{__make} macros.

Revision 1.8  2000/06/09 07:23:42  kloczek
- added using %%{__make} macro.

Revision 1.7  2000/05/23 18:05:26  kloczek
- spec adapterized.

Revision 1.6  2000/04/01 11:15:33  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.5  2000/03/28 16:55:02  baggins
- translated kloczkish into english

Revision 1.4  2000/03/26 06:52:07  kloczek
- updated to 0.07.

Revision 1.3  2000/02/18 01:36:51  pius
- updated to 0.06

Revision 1.2  1999/11/07 09:18:48  pius
- added '%%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/20 19:46:49  pius
- initial release
